import { Observable } from 'rxjs';
import { MonkeyEcxRequestDownload } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxRequestDownloadHandlingService {
    private download;
    private download$;
    constructor();
    private addTo;
    private markItemAsFinish;
    private updateItem;
    set(q: MonkeyEcxRequestDownload): void;
    get(): Observable<MonkeyEcxRequestDownload[]>;
    update(q: MonkeyEcxRequestDownload, loaded?: number, total?: number): void;
    finishItem(q: MonkeyEcxRequestDownload, status?: number): void;
    hasDownloadOnGoing(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxRequestDownloadHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxRequestDownloadHandlingService>;
}
